OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
BaseStencil< DerivedType, SIZE, GridT >::Mask Struct Reference

`#include <nanovdb/util/Stencils.h>`

## Public Member Functions
__hostdev__ | Mask ()
__hostdev__ void | set (int i)
__hostdev__ bool | test (int i) const
__hostdev__ bool | any () const
__hostdev__ bool | all () const
__hostdev__ bool | none () const
__hostdev__ int | count () const

## Public Attributes
uint8_t | bits

## Constructor & Destructor Documentation

## ◆ Mask()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ Mask | ( |  | ) |
| inline

## Member Function Documentation

## ◆ all()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ bool all | ( |  | ) | const
| inline

## ◆ any()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ bool any | ( |  | ) | const
| inline

## ◆ count()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ int count | ( |  | ) | const
| inline

## ◆ none()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ bool none | ( |  | ) | const
| inline

## ◆ set()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ void set | ( | int | i | ) |
| inline

## ◆ test()

template<typename DerivedType , int SIZE, typename GridT >

__hostdev__ bool test | ( | int | i | ) | const
| inline

## Member Data Documentation

## ◆ bits

template<typename DerivedType , int SIZE, typename GridT >

uint8_t bits